# Generated by Django 4.2.11 on 2024-04-30 17:04

from django.db import migrations
from production.logic import get_galley_label_and_type


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0087_merge_20240315_1649'),
        ('metrics', '0010_auto_20230317_1534'),
    ]


def fix_untyped_galleys(apps, schema_editor):
    """ Fixes galleys that haven't had a type set and linked metrics records"""

    Galley = apps.get_model('core', 'Galley')
    ArticleAccess = apps.get_model('metrics','ArticleAccess')
    for galley in Galley.objects.filter(type="", file__isnull=False, article__isnull=False):
        _, galley_type = get_galley_label_and_type(galley.file)
        galley.galley_type = galley_type
        galley.save()

        ArticleAccess.objects.filter(
            article=galley.article,
            galley_type="",
        ).update(galley_type=galley_type)


operations = [
    migrations.RunPython(fix_untyped_galleys, reverse_code=migrations.RunPython.noop),
]
